//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SYM.DataAccessLayer
{
    using System;
    using System.Collections.Generic;
    
    public partial class valley
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public valley()
        {
            this.route = new HashSet<route>();
        }
    
        public int id { get; set; }
        public string valley_name { get; set; }
        public Nullable<int> country_id { get; set; }
        public Nullable<int> region_id { get; set; }
        public Nullable<int> valley_parentId { get; set; }
        public Nullable<float> valley_lat { get; set; }
        public Nullable<float> valley_lng { get; set; }
        public System.DateTime valley_dateIns { get; set; }
        public Nullable<System.DateTime> valley_dateMod { get; set; }
    
        public virtual geo_country geo_country { get; set; }
        public virtual geo_region geo_region { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<route> route { get; set; }
    }
}
